import React from 'react';
import { Button } from 'antd';
import { CurrentTrack } from './CurrentTrack';
import { ISong } from '../models/IModels';

export function Footer({song}: {song: ISong}) {
  return (
    <footer id="footer" className="bg-gray-600">
      <CurrentTrack song={song} />
      <div className="container mx-auto flex justify-between">
        <p className="text-lg"> 2022 Music Service</p>
        <ul className="flex">
          <li className="mr-4">
            <Button type="link" href="/about">About</Button>
          </li>
          <li>
            <Button type="link" href="/contact">Contact</Button>
          </li>
        </ul>
      </div>
    </footer>
  );
}
